/home/travis/build/boostorg/boost/boost/geometry/algorithms/detail/overlay/copy_segment_point.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry

## Functions

template<bool Reverse, typename Geometry , typename SegmentIdentifier , typename PointOut >
bool | boost::geometry::copy_segment_point (Geometry const &geometry, SegmentIdentifier const &seg_id, int offset, PointOut &point_out)
| Helper function, copies a point from a segment.
template<bool Reverse1, bool Reverse2, typename Geometry1 , typename Geometry2 , typename SegmentIdentifier , typename PointOut >
bool | boost::geometry::copy_segment_point (Geometry1 const &geometry1, Geometry2 const &geometry2, SegmentIdentifier const &seg_id, int offset, PointOut &point_out)
| Helper function, to avoid the same construct several times, copies a point, based on a source-index and two geometries.
template<bool Reverse1, bool Reverse2, typename Geometry1 , typename Geometry2 , typename SegmentIdentifier , typename PointOut >
bool | boost::geometry::copy_segment_points (Geometry1 const &geometry1, Geometry2 const &geometry2, SegmentIdentifier const &seg_id, PointOut &point1, PointOut &point2)
| Helper function, to avoid the same construct several times, copies a point, based on a source-index and two geometries.
template<bool Reverse1, bool Reverse2, typename Geometry1 , typename Geometry2 , typename SegmentIdentifier , typename PointOut >
bool | boost::geometry::copy_segment_points (Geometry1 const &geometry1, Geometry2 const &geometry2, SegmentIdentifier const &seg_id, PointOut &point1, PointOut &point2, PointOut &point3)
| Helper function, copies three points: two from the specified segment (from, to) and the next one.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK